> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetokb.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List trashed articles

> This API lists the articles in the trash. For CLI sessions, this needs the Manage articles permission.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace's subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetokb.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/trashed-articles.yaml GET /trashed_articles
openapi: 3.0.3
info:
  title: NeetoKB Trash API
  description: APIs to list, restore and permanently delete trashed articles.
  version: 1.0.0
servers:
  - description: NeetoKB API
    url: https://{your-subdomain}.neetokb.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
paths:
  /trashed_articles:
    get:
      tags:
        - Trash
      summary: List trashed articles
      description: >-
        This API lists the articles in the trash. For CLI sessions, this needs
        the Manage articles permission.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/page_number_param'
        - $ref: '#/components/parameters/max_100_page_size_param'
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                type: object
                properties:
                  trashed_articles:
                    type: array
                    items:
                      $ref: '#/components/schemas/trashed_article'
                  pagination:
                    $ref: '#/components/schemas/pagination'
        '401':
          $ref: '#/components/responses/unauthorized_response'
        '403':
          $ref: '#/components/responses/forbidden_response'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    page_number_param:
      in: query
      name: page_number
      description: >-
        Page of results to retrieve, starting from 1. Defaults to 1 when
        omitted.
      required: false
      schema:
        type: integer
    max_100_page_size_param:
      in: query
      name: page_size
      description: Number of results per page. Defaults to 30 when omitted. Maximum 100.
      required: false
      schema:
        type: integer
        maximum: 100
  schemas:
    trashed_article:
      type: object
      properties:
        id:
          type: string
          format: uuid
        slug:
          type: string
        title:
          type: string
        trashed_at:
          $ref: '#/components/schemas/date_time_field'
        trashed_by:
          type: string
          description: Name of the person who trashed the article.
        days_until_deletion:
          type: integer
          description: Days left before the article is deleted for good.
    pagination:
      type: object
      properties:
        total_records:
          type: integer
        total_pages:
          type: integer
        current_page_number:
          type: integer
        page_size:
          type: integer
    date_time_field:
      type: string
      format: date-time
  responses:
    unauthorized_response:
      description: Unauthorized - API key is missing or invalid
    forbidden_response:
      description: >-
        Forbidden - The CLI session does not have the permission this change
        needs

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.